要安装Google Cloud PHP SDK,用composer,命令是:

composer require google/cloud

简单吧?但其实不是的。这个库,需要用到Google自家的gRPC,具体可以看网站:https://gRPC.io

其实就是去pecl把这个库的dll文件下载下来,放到php/ext目录下,然后php.ini里配置一下即可,没什么大不了的。

然而,一个坑:不要用x64版,而要用x86的,即便你的已经是Windows 10系统了,还是不能用x64版。

哦, 对了,你还要装另一个库:composer require grpc/grpc

标签: gRPC

添加新评论